# MDG77TOGMT

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
EXAMPLES
SEE ALSO
REFERENCES

## NAME

mgd77togmt − Convert an MGD-77 ASCII file to a binary gmt file

## SYNOPSIS

mgd77togmt [ −L list ] [ mgd77file ] −F legid −Y start_year [ −A information ] [ −I time_increment ] [−T[<offset>]] [−W[<cable_length>]] [ −V ]

## DESCRIPTION

mgd77togmt reads an ASCII MGD-77 format file [or standard input] and creates a binary gmt file. The 16 header records specified in the MGD-77 documentation may or may not be present. If two-way travel times are available, mgd77togmt will convert those to corrected depths using the Carter tables. Both old and new (Y2K-compliant) MGD-77 files are supported.

| −L |  | Name of file with several records of the format mgd77file legid start_year. For multiple files, use this option rather than the −F −Y combination.
| −Y |  | The year of the first data point in the file. If not provided and -L option not used, it tries to get it from a header file. The header file must be in the same directory of the main file and must have a name equal to the main but with a .h77 extension.

## OPTIONS

No space between the option flag and the associated arguments.

| −A |  | Set an optional 10 character information string to be stored in the header [Default is blank].
| −F |  | Leg id that will be used in file name (legid.gmt). If not given, it will be constructed from the mgd77file name plus the .gmt extension.
| −I |  | Used for files where time is missing. The increment is used to calculate fake times.
| −T |  | Extracts Total field instead of anomaly. Since F does not hold in a 2 byte signed variable we subtract a constant [default = 40000] but you can provide another value in <offset>.
| −W |  | Take into account that the magnetometer is not at ship’s position. <cable> is magnetometer tow distance [default = 200 meters]. If −W only is given (e.g. no <cable>) and like with the −Y option, we try to get the tow distance from the header file. Failing, defaults to 200 meters. Note that this option will throw away the first points whose accumulated. distance since the start of magnetic acquisition is less than cable. length, and likewise for the end of the mag profile.
| −V |  | Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

## EXAMPLES

To create a gmt file from the ASCII file c2104.mgd77, run

mgd77togmt c2104.mgd77 −Y1977

To create new gmt files from all the mgd77 files listed in list.d:

mgd77togmt −Llist.d −V

## SEE ALSO

dat2gmt(1), GMT(1)

## REFERENCES

Wessel, P., and W. H. F. Smith, 2009, The Generic Mapping Tools (GMT) version 4.5.0 Technical Reference & Cookbook, SOEST/NOAA.
Wessel, P., and W. H. F. Smith, 1998, New, Improved Version of Generic Mapping Tools Released, EOS Trans., AGU, 79 (47), p. 579.
Wessel, P., and W. H. F. Smith, 1995, New Version of the Generic Mapping Tools Released, EOS Trans., AGU, 76 (33), p. 329.
Wessel, P., and W. H. F. Smith, 1995, New Version of the Generic Mapping Tools Released, http://www.agu.org/eos_elec/95154e.html, Copyright 1995 by the American Geophysical Union.
Wessel, P., and W. H. F. Smith, 1991, Free Software Helps Map and Display Data, EOS Trans., AGU, 72 (41), p. 441.

MGD77 Task Group, 1977, The Marine Geophysical Data Exchange Format - MGD77, Key to Geophysical Records documentation No. 10, National Geophysical and Solar-Terrestrial Data Center, Boulder, CO.

Carter, D. J. T., Echo Sounding Correction Tables: Formerly Matthews’ Tables, 150 pp, Hydrographic Department, Ministry of Defense, Taunton, Somerset, England, 1980.